#!/usr/bin/sed -f

0,/^\\begin{sagesilent}/b nonsage
/^\\end{sagesilent}/,/^\\begin{sagesilent}/b nonsage

1 {
:nonsage
	s/.*\\sage{\(.*\)}.*/# RENDERED TO LATEX: \1/p
	t end
	s/.*\\section{\(.*\)}.*/## SECTION \1 ##/
	T skip;
	h;s/\S/#/g;H;G;a
	p
	b end
:skip
	s/.*\\subsection{\(.*\)}.*/# SUB SECTION \1 #/
	T end;
	h;s/\S/#/g;H;g;a
	p
	b end
:end
	d
}
